RK-A2 - Feature #3582

FE: Remember thread id
06/02/2024 10:58 AM - Ram Kordale

Status: Closed Start date: 06/02/2024
Priority: Urgent Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.30 hour
Target version: Spent time: 0.00 hour
Description

In http://34.67.50.25/issues/3580, we receive a thread id that is reused. We need to remember this even on reload and across
sessions.

Store <model, index, thread_id> in local storage and reuse it.

So, when user lands up on the page, check for thread id in local storage for the model and index and pass it to the call_openai_api
GCF.

Note that page author provides model and index as parameters to the div.

History

#1 - 06/02/2024 11:12 AM - Ram Kordale

- Description updated

#2 - 06/03/2024 03:48 AM - Shubham Boke
- Status changed from New to In Progress

- Assignee set to Shubham Boke

#3 - 06/03/2024 05:09 AM - Ayanava Karmakar
- Estimated time set to 0.30 h

#4 - 06/03/2024 05:27 AM - Shubham Boke
- % Done changed from 0 to 50

#5 - 06/03/2024 03:29 PM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#6 - 06/03/2024 03:30 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Ayanava Karmakar

#7 - 06/04/2024 05:41 AM - Ayanava Karmakar
- Status changed from Review to Feedback

- Assignee changed from Ayanava Karmakar to Shubham Boke

#8 - 06/04/2024 06:08 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ayanava Karmakar

#9 - 06/10/2024 01:45 PM - Ayanava Karmakar

- Status changed from Feedback to Resolved

#10 - 09/25/2024 08:40 AM - Ram Kordale

- Status changed from Resolved to Closed
